
Redmine - Feature #3972

Translation for field values

2009-10-05 14:52 - Martin G

Status: New Start date: 2009-10-05

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: I18n Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

It would be very nice when the values of fields can be translated in different languages. For example:

1st user has choose language english -> So he see the ticket status "new" to choose

2nd user has choose language german -> So he see the ticket status "neu" to choose

Related issues:

Related to Redmine - Defect #4668: Localisation issue : trackers / status are... Closed 2010-01-27

Related to Redmine - Feature #4886: Name of custom fields should be multilingual New

Has duplicate Redmine - Feature #6040: Translation custom fields, issue statu... Closed 2010-08-05

Has duplicate Redmine - Defect #7113: Status, priority, tracker are not multi... Closed 2010-12-15

Has duplicate Redmine - Feature #15575: Multi language tracker name Closed

Has duplicate Redmine - Feature #12295: Multilanguage support for custom fields Closed

Has duplicate Redmine - Feature #11964: Translate-able custom captions Closed

Has duplicate Redmine - Feature #16250: Multilanguage Closed

Has duplicate Redmine - Feature #27234: I need put the custom fields lavel in... Closed

History

#1 - 2009-10-16 10:57 - Stéphane Allemand

I am very interested by this ticket, because on our team we have beta tester who are Holland, Spain, German, French And english.....

Or could you explain us a way to translate this kind of values.

#2 - 2009-10-27 22:08 - Andreas Hartmann

Interestingly, the I18n catalogues contain the corresponding messages:

default_issue_status_new: Neu

default_issue_status_assigned: Zugewiesen

default_issue_status_resolved: Gelöst

default_issue_status_feedback: Feedback

default_issue_status_closed: Erledigt

default_issue_status_rejected: Abgewiesen

#3 - 2009-10-27 22:10 - Andreas Hartmann

Andreas Hartmann wrote:

Interestingly, the I18n catalogues contain the corresponding messages:

 I guess the problem is that it is hard to support generic (translated) and user-defined status names at the same time. The table would have to contain

an extra column to determine if the status name is an i18n key, i.e. should be translated, or is a user-defined name.

#4 - 2010-11-29 20:36 - Jean-Philippe Lang

- Category changed from Translations to I18n

- Assignee deleted (Azamat Hackimov)

#5 - 2011-02-24 08:40 - Luis Serrano Aranda

This plugin makes the translation and works http://ociotec.com/redmine/projects/localizable
#6 - 2011-02-24 16:31 - Martin G

Luis Serrano Aranda wrote:

This plugin makes the translation and works http://ociotec.com/redmine/projects/localizable

 Thank you for this info. It works perfect!

#7 - 2013-02-18 11:17 - Artur M

Martin G wrote:

Luis Serrano Aranda wrote:

This plugin makes the translation and works http://ociotec.com/redmine/projects/localizable

 Thank you for this info. It works perfect!

 Not available for Redmine 2.*

#8 - 2013-02-19 07:49 - Martin G

- File localizable.zip added

This one will work with 2.2.x

#9 - 2013-07-31 13:31 - Olivier Houdas

I could not make it work on Redmine 2.3.1.stable :

first, I got an error in app/views/settings/_localizable.html.erb, line 54:  {:name => "enumeration", :objects => Enumeration.find(:all, :conditions =>

"project_id IS NULL").sort{|a, b| a.type.downcase <=> b.type.downcase}

because it does not like to have "type" as a column name

second, it could not find en.general_lang_name

third, when I translated some strings, it put all my "localized" pages in error, and i the log, I found "ActionView::Template::Error (translation

missing: en.date.formats.default):"

Anyway, I think Redmine should not need a plugin for providing a way to localize custom value names.

#10 - 2013-10-17 14:48 - Bruno Medeiros

I would be very happy to see this implemented.

#11 - 2013-11-18 21:06 - Maxim Krušina

+1

#12 - 2013-11-19 14:07 - Olivier Houdas

Update: I finally have gotten it to work with the files attached. We're now using Redmine 2.3.3-stable.

The first issues I faced were probably caused by another plugin (wrong translation file headers resulting in random errors).

#13 - 2013-12-02 04:33 - Toshi MARUYAMA

- Has duplicate Feature #15575: Multi language tracker name added

#14 - 2014-09-23 11:38 - Kevin Palm

+1

#15 - 2014-10-14 11:29 - Fabian Strasser

Please make this more important. There are many tickets out there that aim at the same problem all over Redmine, yet nothing seems to be

considered. Why? This would enrich this great piece of software another great deal!

Tickets related to this issue:

#4668

#4844

#4886

#5523

#5990
#6040

#7113

#8058

#12295

#15575

and possibly many more. Yes, there are duplicates, but those only show that this is important to the users!

#16 - 2014-11-13 02:10 - Toshi MARUYAMA

- Related to deleted (Feature #12295: Multilanguage support for custom fields)

#17 - 2014-11-13 02:11 - Toshi MARUYAMA

- Has duplicate Feature #12295: Multilanguage support for custom fields added

#18 - 2015-01-14 10:22 - Ralf S.

+1

A general method to support multilingual custom fields (as in #4886) would be very worthfull! (e.g. for PDF exports in the requiered language)

#19 - 2015-02-03 14:43 - dominik ch

+1

why is such important feature missing? :(

#20 - 2015-02-27 22:08 - Maxim Krušina

+1

#21 - 2015-04-10 11:17 - Slawomir CALUCH

+1

Surprisingly this is an important issue for some users.

I have non english users who are completely lost with the interface due to non obvious english trackers and custom fields.

Any news on translatable tracker and custom fields?

#22 - 2015-05-08 18:38 - Daniel Tamajon

Has anyone tested the localizable project referenced on #8 (http://www.redmine.org/plugins/localizable) on 2.6.x version? I don't get it working.

#23 - 2015-05-08 19:01 - Daniel Tamajon

Sorry... I didn't installed properly... just my fault.

#24 - 2015-05-09 10:03 - Olivier Houdas

- File localizable-Rails-4.2.patch added

And if someone wants to use it with Redmine 3.0 (-> Rails 4.2), here is a patch to apply (5 lines changed in one file).

#25 - 2016-02-03 13:47 - Florian ROBERT

+1

#26 - 2016-02-18 12:20 - Anton Jakimovic

Redmine localization plugin is outdated, so this issue is important to me. Actually I can't upgrade because of that.

+1

#27 - 2017-01-17 02:03 - Shinji Tamura

+1

This is very useful plugin. But this plugin can't translate list values of custom field. Do you know any plugin be able to translate list values of custom

field?

#28 - 2017-01-17 02:13 - Go MAEDA

- Has duplicate Feature #11964: Translate-able custom captions added
#29 - 2017-01-17 02:20 - Go MAEDA

- Has duplicate Feature #16250: Multilanguage added

#30 - 2017-09-14 19:07 - Ilya Ternovoy

Our team now facing the same problem.

At least would be great to make an opportunity to translate next fields:

1. priority

2. statuses

3. actions

Now all fields in Russian, but we need to give access to our redmine for our US customer

UPD: It seems like http://www.redmine.org/plugins/localizable works great! I have redmine 3.3.

Steps:

1. Download last version from https://redmine.ociotec.com/projects/localizable/files.

2. Unzip on your Redmine folder /plugins.

3. Rename the folder from localizable.x.y.z to localizable.

4. No migration is needed.

5. Restart you Redmine.

6. Once installed, go to Administration, plugins and click on Configuration link on this plugin.

7. Choose necessary languages and press apply, then put the translations in text fields.

#31 - 2017-10-20 06:38 - Toshi MARUYAMA

- Has duplicate Feature #27234: I need put the custom fields lavel in multiple language added

#32 - 2019-03-27 13:37 - Oliver Maye

+1

#33 - 2019-08-21 14:16 - Aleksandar Pavic

Preferably this should be built-in feature..

+1

So both field-names, and field-values should be translatable...

In order to make it work with Redmine 4, (localizable 0.4.0)  you must lock i18n gem to 0.7.0 instead

of 1.6 which got installed in my case...

#34 - 2019-11-21 12:08 - Eugene Smirnov

Wery nice!

+1

Don't work in Redmine 4.0.5. (Translate Russian to English)

#35 - 2020-06-12 03:28 - Lucky Boy

https://github.com/Luckyvb/redmine_localizable/tree/master

work on 4.1.1

#36 - 2020-07-21 10:45 - Veniamin Shustorovich

Lucky Boy wrote:

https://github.com/Luckyvb/redmine_localizable/tree/master

work on 4.1.1

 It's not available right now :( Is there similar plugin or, maybe, supported fork?

#37 - 2020-10-08 06:10 - David Lesieur

This one appears to work with Redmine 4.1 (and with the i18n 1.6 gem): https://github.com/southbridgeio/localizable

In my preliminary tests, having configured English as the primary language, it has allowed me to translate the names of trackers, issue statuses,

custom fields, and roles.

#38 - 2020-12-24 10:44 - Sunding Wei

David Lesieur wrote:
This one appears to work with Redmine 4.1 (and with the i18n 1.6 gem): https://github.com/southbridgeio/localizable

In my preliminary tests, having configured English as the primary language, it has allowed me to translate the names of trackers, issue statuses,

custom fields, and roles.

 Fixed error with redmine 4.x

ActionView::Template::Error (can't modify frozen String: ""):

    93:       <%- @settings["locales_to_translate"].each do |locale| -%>

    94:       <td align="left">

    95:         <input name="settings[locales][<%= element[:name] %>][<%= object.id %>][<%= locale.to_s.force_

encoding("UTF-8") %>]" 

    96:                value="<%= @settings["locales"][element[:name]][object.id.to_s][locale].to_s.force_enco

ding("UTF-8") %>" />

    97:       </td>

    98:       <%- end -%>

    99:     </tr>

 file: plugins/localizable/app/views/settings/_localizable.html.erb

-               value="<%= @settings["locales"][element[:name]][object.id.to_s][locale].to_s.force_encoding("U

TF-8") %>" />

+               value="<%= @settings["locales"][element[:name]][object.id.to_s][locale].to_s.dup.force_encodin

g("UTF-8") %>" />

#39 - 2021-04-12 08:47 - Pan Tau

Thank you Sunding Wei! :-)

I tested your solution on Redmine 4.2.0.

And it works.

#40 - 2022-05-31 10:14 - Aleksandar Pavic

What's going on with this? Candidate for some future release?

#41 - 2022-12-07 13:56 - Olivier Houdas

For those interested, this fork contains updates to make the plugin compatible with Redmine 5.0. Tested with Redmine 5.0.3 using translations done

in Redmine 3.4  and it works.

#42 - 2022-12-19 16:04 - David Farrick

I am on 5.0.3 and the plugin created errors in my redmine install based on the steps in the link for the fork above.  Upon receiving errors the first time,

I CHOWN permissions of the uploaded "localizable" directory to provide ownership and group membership to the redmine user.  Tried to execute the

bundle exec... command again and I received the same error message again.  What am I missing?  (I am a 1-person shop and being bad by having

only a production server.  I was easily able to restore a backup for my project quickly and easily, thank goodness.)

Here's my environment:

Environment:

Redmine version                5.0.3.stable

Ruby version                   3.0.2-p107 (2021-07-07) [x86_64-linux-gnu]

Rails version                  6.1.7

Environment                    production

Database adapter               Mysql2

Mailer queue                   ActiveJob::QueueAdapters::AsyncAdapter

Mailer delivery                smtp

Redmine settings:

Redmine theme                  Default

SCM:

Git                            2.34.1

Filesystem

Redmine plugins:

no plugin installed

Files

localizable.zip 5.23 KB 2013-02-19 Martin G

localizable-Rails-4.2.patch 1.91 KB 2015-05-09 Olivier Houdas
